// TableComponent.tsx

import React from 'react';
import {
  Table,
  Thead,
  Tbody,
  Tr,
  Th,
  Td,
  TableCaption,
} from '@chakra-ui/react';

interface TableProps {
  data: {
    ID: number;
    Nama: string;
    Usia: number;
    'No Telepon': string;
    Status: string;
    Kelas: string;
    Alamat: string;
  }[];
}

const TableComponent: React.FC<TableProps> = ({ data }) => {
  return (
    <Table variant="striped" colorScheme="teal">
      <TableCaption placement="top">Student Information</TableCaption>
      <Thead>
        <Tr>
          <Th>ID</Th>
          <Th>Nama</Th>
          <Th>Usia</Th>
          <Th>No Telepon</Th>
          <Th>Status</Th>
          <Th>Kelas</Th>
          <Th>Alamat</Th>
        </Tr>
      </Thead>
      <Tbody>
        {data.map((item) => (
          <Tr key={item.ID}>
            <Td>{item.ID}</Td>
            <Td>{item.Nama}</Td>
            <Td>{item.Usia}</Td>
            <Td>{item['No Telepon']}</Td>
            <Td>{item.Status}</Td>
            <Td>{item.Kelas}</Td>
            <Td>{item.Alamat}</Td>
          </Tr>
        ))}
      </Tbody>
    </Table>
  );
};

export default TableComponent;
