import { Box, Image, Text, Button, VStack } from '@chakra-ui/react';

interface ClassCardProps {
  className: string;
  price: string;
  vehicle: string;
  imageUrl: string;
}

export const ClassCard: React.FC<ClassCardProps> = ({ className, price, vehicle, imageUrl }) => {
  return (
    <Box
      maxW="sm"
      borderWidth="1px"
      borderRadius="lg"
      overflow="hidden"
      p={4}
      m={2}
      boxShadow="md"
    >
      <Image src={imageUrl} alt={`Class ${className}`} />
      <VStack align="stretch" mt={4}>
        <Text fontWeight="bold">{className}</Text>
        <Text>{price}</Text>
        <Text>{vehicle}</Text>
        <Button colorScheme="blue" variant="solid">
          Lihat Detail
        </Button>
      </VStack>
    </Box>
  );
};
