import React from 'react'
import ReactDOM from 'react-dom/client'
// import App from './App.tsx'
import './index.css'
import ClassOwner from './pages/ClassOwner.tsx'
import ClassOwnerDetail from './pages/ClassOwnerDetail.tsx'
import ClassPublic from './pages/ClassPublic.tsx'
import ClassPublicDetail from './pages/ClassPublicDetail.tsx'
import InstructorData from './pages/InstructorData.tsx'
import LoginPage from './pages/LoginPage.tsx'
import StudentData from './pages/StudentData.tsx'
import UserData from './pages/UserData.tsx'
import VehicleDataAdmin from './pages/VehicleDataAdmin.tsx'
import VehicleDataOwner from './pages/VehicleDataOwner.tsx'
import {
  createBrowserRouter,
  RouterProvider,
} from "react-router-dom";


// INI MASIH PLACEHOLDER, ROUTING AKAN DILAKUKAN NANTI SETELAH AUTH SELESAI
// PLACEHOLDER UNTUK PENGEMBANGAN FE
const router = createBrowserRouter([
  {
    path: "/",
    element: <ClassPublic />
  },
  {
    path: "/login",
    element: <LoginPage />
  },
  {
    path: "/classpublicdetail",
    element: <ClassPublicDetail />
  },
  {
    path: "/studentdata",
    element: <StudentData />
  },
  {
    path: "/userdata",
    element: <UserData />
  },
  {
    path: "/vehicledataadmin",
    element: <VehicleDataAdmin />
  },
  {
    path: "/vehicledataowner",
    element: <VehicleDataOwner />
  },
  {
    path: "/instructordata",
    element: <InstructorData />
  },
  {
    path: "/classowner",
    element: <ClassOwner/>
  },
  {
    path: "/classownerdetail",
    element: <ClassOwnerDetail/>
  }
]);

ReactDOM.createRoot(document.getElementById('root')!).render(
  <React.StrictMode>
    <RouterProvider router={router} />
  </React.StrictMode>,
)
